package com.ruoyi.sip.service;

import java.util.List;
import com.ruoyi.sip.domain.OrderInfo;

/**
 * 合同档案Service接口
 * 
 * @author mula
 * @date 2025-04-11
 */
public interface IOrderInfoService 
{
    /**
     * 查询合同档案
     * 
     * @param id 合同档案主键
     * @return 合同档案
     */
    public OrderInfo selectOrderInfoById(Long id);

    /**
     * 查询合同档案列表
     * 
     * @param orderInfo 合同档案
     * @return 合同档案集合
     */
    public List<OrderInfo> selectOrderInfoList(OrderInfo orderInfo);

    /**
     * 新增合同档案
     * 
     * @param orderInfo 合同档案
     * @return 结果
     */
    public int insertOrderInfo(OrderInfo orderInfo);

    /**
     * 修改合同档案
     * 
     * @param orderInfo 合同档案
     * @return 结果
     */
    public int updateOrderInfo(OrderInfo orderInfo);

    /**
     * 批量删除合同档案
     * 
     * @param ids 需要删除的合同档案主键集合
     * @return 结果
     */
    public int deleteOrderInfoByIds(String ids);

    /**
     * 删除合同档案信息
     * 
     * @param id 合同档案主键
     * @return 结果
     */
    public int deleteOrderInfoById(Long id);
}
